package com.willalp.msg.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.msg.domain.HsAppUserMsg;

import java.util.List;

/**
 * APP用户消息Service接口
 *
 * @author willalp
 * @date 2022-10-26
 */
public interface IHsAppUserMsgService extends IService<HsAppUserMsg>
{
    /**
     * 查询APP用户消息列表
     *
     * @param hsAppUserMsg APP用户消息
     * @return APP用户消息集合
     */
    public List<HsAppUserMsg> selectHsAppUserMsgList(HsAppUserMsg hsAppUserMsg);

    /**
     * 消息总信息
     *
     * @param uc
     */
    Object msgSum(String uc);

    /**
     * 按照ID 已读
     *
     * @param taskId
     * @param userCode
     */
    void readMsgByTaskId(String taskId,String userCode);

    /**
     * 按照ID 已读
     *
     * @param id
     */
    void readMsgById(String id);


    /**
     * 按照ID集合 已读
     *
     * @param uc
     */
    void allReadMsgByUserCode(String uc);
}
